/* *************************************************************************
 
                               Enably Toolkit 

               Development of Browser User Intarfaces Made Easy

                    Copyright (C) 2000-2006 IT Mill Ltd
                     
   *************************************************************************

   This product is distributed under commercial license that can be found
   from the product package on license/license.txt. Use of this product might 
   require purchasing a commercial license from IT Mill Ltd. For guidelines 
   on usage, see license/licensing-guidelines.html

   *************************************************************************
   
   For more information, contact:
   
   IT Mill Ltd                           phone: +358 2 4802 7180
   Ruukinkatu 2-4                        fax:   +358 2 4802 7181
   20540, Turku                          email:  info@enably.com
   Finland                               company www: www.enably.com
   
   Primary source for information and releases: www.enably.com

   ********************************************************************** */

package com.enably.tk.terminal;

/** Interface for different terminal types.
 *
 * @author IT Mill Ltd.
 * @version @VERSION@
 * @since 3.0
 */
public interface Terminal {
 
 
    /** Get name of the default theme
     * @return Name of the terminal window
     */    
    public String getDefaultTheme();
    
    /** Get width of the terminal window in pixels
     * @return Width of the terminal window
     */    
    public int getScreenWidth();
    
    /** Get height of the terminal window in pixels
     * @return Height of the terminal window
     */    
    public int getScreenHeight();    
    
	/** Terminal error event */
	public interface ErrorEvent {

		/** Get the contained throwable */
		public Throwable getThrowable();

	}

	/** Terminal error listener interface */
	public interface ErrorListener {

		/** Invoked when terminal error occurs. */
		public void terminalError(Terminal.ErrorEvent event);
	}    
}
